slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVCISSResizeBases

Resize the bases involved in CISS solvers when the L grows.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCISSResizeBases(BV S,BV V,BV Y,PetscInt Lold,PetscInt Lnew,PetscInt M,PetscInt npoints)

Logically Collective

### Input Parameters

| S | - basis of L*M columns
| V | - basis of L columns (may be associated to subcommunicators)
| Y | - basis of npoints*L columns
| Lold | - old value of L
| Lnew | - new value of L
| M | - the moment size
| npoints | - number of integration points

### See Also

BVResize()

### Level

developer

### Location

src/sys/classes/bv/interface/bvcontour.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages